Skip to main content
`Ctrl`+`K`

# DiGraph.number_of_nodes

DiGraph.number_of_nodes()

  Returns the number of nodes in the graph.

  Returns:
    nnodes int

      The number of nodes in the graph.

  See also

  `order`

    identical method

  `__len__`

    identical method

  Examples

      >>> G = nx.path_graph(3)  # or DiGraph, MultiGraph, MultiDiGraph, etc
      >>> G.number_of_nodes()
      3